Subject: bug#11490: vc-next-action overwrites changes in non-checked-out RCS file

From: Glenn Morris <[email-masked]>
Date: Mon, 21 May 2012 23:57:54 -0400

Jonathan Kamens wrote:

> I'm obviously not in any position of authority here, but as for my
> personal opinion, I would have no objection whatsoever to making
> vc-mistrust-permissions default to true for safety's sake.

Me neither. It seems like the default should be the safest mode of
operation.

However, Emacs 22.3 does not have this issuse; 23.1 onwards does.
Something was lost with the removal of vc-next-action-on-file,
and now vc-buffer-sync does not get called.